/* Copyright 2009 Palm, Inc.  All rights reserved. */

MmsTextAttachmentAssistant = Class.create({
	initialize: function(filePath){
		this.filePath = filePath;
	},
	setup: function(){
		if (this.filePath) {
			MessagingMojoService.getMmsMessage(this.controller, this.filePath, function(result){				
				this.controller.get('attachmentText').update(result.messageText);
			}.bind(this));
		}		
	},
	
	ready: function() {
	},
	
	cleanup: function() {
		
	}
});
